Loading...
Searching...
No Matches
dispatch functions.

## Functions

static int | check_create_mode (int mode)
| Check the create mode parameter for sanity.
int | nc__pseudofd (void)
int | NC_create (const char *path0, int cmode, size_t initialsz, int basepe, size_t *chunksizehintp, int useparallel, void *parameters, int *ncidp)
int | NC_open (const char *path0, int omode, int basepe, size_t *chunksizehintp, int useparallel, void *parameters, int *ncidp)

## Variables

static int | pseudofd = 0

## Detailed Description

## Function Documentation

## check_create_mode()

int check_create_mode | ( | int | mode | ) |

static

Check the create mode parameter for sanity.

Some create flags cannot be used if corresponding library features are enabled during the build. This function does a pre-check of the mode flag before calling the dispatch layer nc_create functions.

Parameters

  mode | The creation mode flag.

Returns
  NC_NOERR No error.
  NC_ENOTBUILT Requested feature not built into library
  NC_EINVAL Invalid combination of modes.

Definition at line 1775 of file dfile.c.

## nc__pseudofd()

int nc__pseudofd | ( | void |  | ) |

Definition at line 2207 of file dfile.c.

## NC_create()

int NC_create | ( | const char * | path0,
|  | int | cmode,
|  | size_t | initialsz,
|  | int | basepe,
|  | size_t * | chunksizehintp,
|  | int | useparallel,
|  | void * | parameters,
|  | int * | ncidp )

Definition at line 1840 of file dfile.c.

## NC_open()

int NC_open | ( | const char * | path0,
|  | int | omode,
|  | int | basepe,
|  | size_t * | chunksizehintp,
|  | int | useparallel,
|  | void * | parameters,
|  | int * | ncidp )

Definition at line 1973 of file dfile.c.

## Variable Documentation

## pseudofd

int pseudofd = 0

static

Definition at line 2197 of file dfile.c.